Subject: Re: MPC8641D Msi

From: Marco Stornelli <[email-masked]>
Date: Tue, 17 Jun 2008 08:40:39 +0200

Kumar Gala ha scritto:
> 
> On Jun 16, 2008, at 10:16 AM, Marco Stornelli wrote:
> 
>> Hi,
>>
>> I've got a device connected with Pci-express to an mpc8641d_hpcn 
>> evaluation board (rev. 2.0) and I'm using the latest kernel. This 
>> device use MSI to generate an interrupt, but it seems possible that 
>> the only MSI that can be triggered through the standard PCI Express is 
>> interrupt 0. Is there a way to solve it? Some workaround or something 
>> like it?
> 
> what exactly do you mean by using the latest kernel?  The powerpc-next 
> tree or 2.6.26?
> 
> - k
> 
kernel 2.6.25.7, but I think it isn't a kernel problem but an hardware 
problem instead, so I wondered if there's a patch for that problem.

-- 
Marco Stornelli
Embedded Software Engineer
CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
http://www.coritel.it

[email-masked]
+39 06 72582838